<?php
/**
 * @package 	formfield
 * @version		2.2
 * @created		August 2012

 * @author		JoomForest
 * @email		support@joomforest.com
 * @website		http://www.joomforest.com
 * @copyright	Copyright (C) 2012 JoomForest. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.form.formfield');
class JFormFieldAsset extends JFormField {
    protected $type = 'Asset';
    protected function getInput() {		
		$checkJqueryLoaded = false;
		$document	= &JFactory::getDocument();
		$header = $document->getHeadData();
		foreach($header['scripts'] as $scriptName => $scriptData) {
			if(substr_count($scriptName,'jquery-1.8.0.min.js')){
				$checkJqueryLoaded = true;
			}
		}
		if(!$checkJqueryLoaded) 
		$document->addScript(JURI::root().$this->element['path'].'js/jquery-1.8.0.min.js');
		$document->addScript(JURI::root().$this->element['path'].'js/chosen.jquery.min.js');
		$document->addScript(JURI::root().$this->element['path'].'js/colorpicker/colorpicker.js');
		$document->addScript(JURI::root().$this->element['path'].'js/jquery.tipsy.js');
        $document->addScript(JURI::root().$this->element['path'].'js/jf.js');        
		$document->addStyleSheet(JURI::root().$this->element['path'].'css/jf.css');
		$document->addStyleSheet(JURI::root().$this->element['path'].'js/colorpicker/colorpicker.css');   
        $document->addStyleSheet(JURI::root().$this->element['path'].'css/chosen.css');        
        return null;
    }
}
?>